"""
Django settings for ams_notifications project.

Generated by 'django-admin startproject' using Django 2.2.

For more information on this file, see
https://docs.djangoproject.com/en/2.2/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/2.2/ref/settings/
"""

import os

# Build paths inside the project like this: os.path.join(BASE_DIR, ...)
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))


# Quick-start development settings - unsuitable for production
# See https://docs.djangoproject.com/en/2.2/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = '9zk-kp@f+-h8dot00nu^s&z53+jjdrw)n31!%6g3mjpsg^tx66'

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

ALLOWED_HOSTS = []


# Application definition

INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'rest_framework',
    'notifications',
    'fcm_django',
    'rest_framework_swagger',
]

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'django.middleware.csrf.CsrfViewMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]

ROOT_URLCONF = 'ams_notifications.urls'

TEMPLATES = [
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',
        'DIRS': [],
        'APP_DIRS': True,
        'OPTIONS': {
            'context_processors': [
                'django.template.context_processors.debug',
                'django.template.context_processors.request',
                'django.contrib.auth.context_processors.auth',
                'django.contrib.messages.context_processors.messages',
            ],
        },
    },
]

WSGI_APPLICATION = 'ams_notifications.wsgi.application'


# Database
# https://docs.djangoproject.com/en/2.2/ref/settings/#databases

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.postgresql_psycopg2',
        'NAME': 'notification_db',
        'USER': 'sqldev',
        'PASSWORD':'sqlpass',
        'HOST': 'localhost'
    }
}



# Password validation
# https://docs.djangoproject.com/en/2.2/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',
    },
]


SWAGGER_SETTINGS = {
    "exclude_namespaces": [],  # List URL namespaces to ignore
    "enabled_methods": [  # Specify which methods to enable in Swagger UI
        'get',
        'post',
        'put',
        'patch',
        'delete'
    ],
    "api_key": '',  # An API key

    "is_authenticated": False,  # Set to True to enforce user authentication,
    "is_superuser": False,  # Set to True to enforce admin only access0
}


# Internationalization
# https://docs.djangoproject.com/en/2.2/topics/i18n/

LANGUAGE_CODE = 'en-us'

TIME_ZONE = 'UTC'

USE_I18N = True

USE_L10N = True

USE_TZ = True

FCM_DJANGO_SETTINGS = {
        "FCM_SERVER_KEY": "AAAA27a6UC4:APA91bHp8ANUBcKEpuG3OqRxIsNmwo_OTJ70oU1yhocckJZEPVa2BI6Mrxn0kEe2tQoHOzr6wY5Y_ZfRkkEq6JYSar5SLNMkFdzPs4RpyKhazverrVhs4Rsbb8edYpxiezxV-0DZ63E3",
         # true if you want to have only one active device per registered user at a time
         # default: False
        "ONE_DEVICE_PER_USER": False,
         # devices to which notifications cannot be sent,
         # are deleted upon receiving error response from FCM
         # default: False
        "DELETE_INACTIVE_DEVICES": False,
}

#celery stuff

BROKER_URL = 'amqp://localhost:5672'

CELERY_RESULT_BACKEND = 'amqp://localhost:5672'
CELERY_ACCEPT_CONTENT = ['application/json']
CELERY_TASK_SERIALIZER = 'json'
CELERY_RESULT_SERIALIZER = 'json'

TWILIO_ACCOUNT_SID = "AC752f90836a4da1f071cd7d2d9a0e30da"
TWILIO_AUTH_TOKEN = "b26f47901487f27c0b4d42c2e0d799e2"
FROM_NUMBER = "+19314002984"


SENDGRID_API_KEY = "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"

EMAIL_BACKEND = "sgbackend.SendGridBackend"
EMAIL_HOST_USER = 'apikey'
EMAIL_HOST_PASSWORD = "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"
#SENDGRID_API_KEY = "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"
DEFAULT_FROM_EMAIL = "akarshit.mahendru@jaarvis.com"
EMAIL_PORT = 587
EMAIL_USE_TLS = True

# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/2.2/howto/static-files/

STATIC_URL = '/static/'
